Syncope 203 - Language not supported Groovy

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Syncope 203 - Language not supported Groovy

Tech
Dear experts,

we detected that creating a scriptsql resource, we cannot proceed to
test the connector because an error is appearing saying that GROOVY is
not accepted as a scripting language.

We tried also to write it as "groovy" and "Groovy", but the result was
the same.

Any idea?

Thanks

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RE: Syncope 203 - Language not supported Groovy

Mikael Ekblom
Hi,

I can answer that one really. If it says that GROOVY is not accepted as a scripting language, then you must copy the groovy-all-x-x.someversion.jar file to the syncope lib directory  within syncope/web-inf/lib

I had to acquire that file by downloading the groovy source and fetch it from the embeddable directory within the groovy installation path. Sounded logical and it worked!

So, download groovy, extract it to some convenient place, fetch the groovy-all.jar file from the folder above and place it into the lib-directory within the syncope/web-inf/lib folder. Then it will work.

This is probably not the official path and I do run the scripted sql as a local connid bundle on the same server as where syncope is running.



 Regards,

    Mikael

 


-----Original Message-----
From: Tech [mailto:[hidden email]]
Sent: keskiviikko 19. huhtikuuta 2017 17.28
To: Syncope <[hidden email]>
Subject: Syncope 203 - Language not supported Groovy

Dear experts,

we detected that creating a scriptsql resource, we cannot proceed to test the connector because an error is appearing saying that GROOVY is not accepted as a scripting language.

We tried also to write it as "groovy" and "Groovy", but the result was the same.

Any idea?

Thanks

Loading...